import * as interfaces from './interfaces.js';
import { ZUGFeRDXmlDecoder } from './classes.decoder.js';
import { ZugferdXmlEncoder } from './classes.encoder.js';
import { XInvoice } from './classes.xinvoice.js';

// Export interfaces
export {
  interfaces,
}

// Export main class
export { XInvoice }

// Export encoder/decoder classes
export { ZugferdXmlEncoder, ZUGFeRDXmlDecoder }